Subject: Re: bug#22147: Obsolete search-forward-lax-whitespace

From: Artur Malabarba <[email-masked]>
Date: Sat, 12 Dec 2015 00:44:19 +0000

On 11 Dec 2015 11:52 pm, "Juri Linkov" <[email-masked]> wrote:
>
> It's not clear what to do with this customization now using
> a replacement recommended in (make-obsolete old "instead, use (let
> ((search-spaces-regexp search-whitespace-regexp)) (re-search-... ...))"

The obsoletion message tells you what to use instead of
search-forward-lax-whitespace, but that doesn't help you because you
weren't using this function, you were overriding it (IIUC).

Fortunately, I think you don't need to override anything at all. You can
just set search-default-regexp-function to your #'search-whitespace-regexp.
IIUC, that should have the same effect.